unit uEditorMargin;

interface

uses
  Rubies, HEditor;

var
  cEditorMargin: Tvalue;

procedure Init_EditorMargin;
function ap_iEditorMargin(real: TEditorMargin; owner: Tvalue): Tvalue;

implementation

uses
  Pythia, uEditor, uNotifyPersistent;

function EditorMargin_alloc(This: Tvalue; real: TEditorMargin): Tvalue;
begin
  result := TmpAlloc(This, real);
end;

function ap_iEditorMargin(real: TEditorMargin; owner: Tvalue): Tvalue;
begin
  result := EditorMargin_alloc(cEditorMargin, real);
  ap_owner(result, owner);
end;

function ap_iEditorMargin_v(var AControl; owner: Tvalue): Tvalue;
begin
  result := ap_iEditorMargin(TEditorMargin(AControl), owner)
end;
procedure Init_EditorMargin;
begin
  cEditorMargin := rb_define_class_under(cEditor, 'Margin', cNotifyPersistent);
  DefineProp(cEditorMargin, TEditorMargin);
end;

end.
